﻿using CrystalDecisions.CrystalReports.Engine;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CrystalImpressaoDireta
{
    public partial class FormPrincipal : Form
    {
        public FormPrincipal()
        {
            InitializeComponent();
        }

        private void btPreview_Click(object sender, EventArgs e)
        {
            using (var preview = new FormPreview())
            {
                preview.ShowDialog();
            }
        }

        private void btImprimir_Click(object sender, EventArgs e)
        {
            using (var relatorio = new RelatorioProduto())
            {
                var ds = new DataSetProduto();
                ds.Produto.AddProdutoRow("Produto 1", 1.55m);
                ds.Produto.AddProdutoRow("Produto 2", 2.35m);
                ds.Produto.AddProdutoRow("Produto 3", 3.45m);
                ds.Produto.AddProdutoRow("Produto 4", 4.75m);
                ds.Produto.AddProdutoRow("Produto 5", 5.95m);

                relatorio.SetDataSource(ds);
                using (var dialogo = new PrintDialog())
                {
                    if (dialogo.ShowDialog() == DialogResult.OK)
                    {
                        relatorio.PrintToPrinter(dialogo.PrinterSettings, dialogo.PrinterSettings.DefaultPageSettings, false);
                    }
                }
            }
        }
    }
}
